跳转到主要内容
POST
/
openapi
/
v1
/
events
Report custom billing event (PER_USE)
curl --request POST \
  --url https://app.profy.cn/openapi/v1/events \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "event": "generate_report",
  "idempotency_key": "order-12345",
  "metadata": {}
}
'
import requests

url = "https://app.profy.cn/openapi/v1/events"

payload = {
"event": "generate_report",
"idempotency_key": "order-12345",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({event: 'generate_report', idempotency_key: 'order-12345', metadata: {}})
};

fetch('https://app.profy.cn/openapi/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "charged": 123,
  "balance_remaining": 123,
  "idempotent_replay": true
}

授权

Authorization
string
header
必填

OAuth2 access token issued via POST /oauth/token

请求体

application/json
event
string
必填

Event name matching a configured billing meter

Maximum string length: 100
示例:

"generate_report"

idempotency_key
string
必填

Prevents duplicate charges

Maximum string length: 128
示例:

"order-12345"

metadata
object

Arbitrary key-value pairs for tracking

响应

Event processed successfully

charged
number
必填
balance_remaining
number
必填
idempotent_replay
boolean